
package encapsuladores;

public class LineaFactura {
      
        private String referenciaArticulo;
        private String descripcion;
        private double precioUnitario;
        private int    unidades; 

    public LineaFactura(String referenciaArticulo, String descripcion, double precioUnitario, int unidades){
        this.referenciaArticulo = referenciaArticulo;
        this.descripcion = descripcion;
        this.precioUnitario = precioUnitario;
        this.unidades = unidades;      
    }
    
    public String getReferenciaArticulo() {
        return referenciaArticulo;
    }

    public void setReferenciaArticulo(String referenciaArticulo) {
        this.referenciaArticulo = referenciaArticulo;
    }

    public String getDescripcion() {
        return descripcion;
    }

    public void setDescripcion(String descripcion) {
        this.descripcion = descripcion;
    }

    public double getPrecioUnitario() {
        return precioUnitario;
    }

    public void setPrecioUnitario(double precioUnitario) {
        this.precioUnitario = precioUnitario;
    }

    public int getUnidades() {
        return unidades;
    }

    public void setUnidades(int unidades) {
        this.unidades = unidades;
    }

    public double getImporteLinea() {
        return precioUnitario * unidades;
    }     
}
